Subject: Re: [Bitcoin-development] performance testing for bitcoin

From: Ian Miers <[email-masked]>
Date: Wed, 3 Oct 2012 13:57:04 -0400

Script evaluation performance was what I was primarily concerned with.  I'm
fooling around with adding some new instruction types.
The tricky part is that to test how that effects performance, you need to
be able to intersperse transactions with the new instructions with existing
ones.  For accuracy, you'd like your simulated traffic to at least
approximate the real world traffic.

Also, is there any bench-marking / instrumentation in bitcoind ?

Ian
On Wed, Oct 3, 2012 at 1:43 PM, Jeff Garzik <[email-masked]> wrote:

> On Wed, Oct 3, 2012 at 1:38 PM, Ian Miers <[email-masked]> wrote:
> > Whats the best way to get performance numbers for modifications to
> bitcoin ?
> > Profiling it while running on testnet might work, but that would take a
> > rather long time to get data.
> > Is there anyway to speed this up  if we only needed to provide  relative
> > performance between tests. (in a sense a fast performance regression
> test).
>
> You have to be specific about what you're measuring, because
> "performance" is vague.
>
> You can measure many aspects of blockchain performance by importing
> blocks via -loadblock=FILE.
>
> Other performance measurements like "how fast does a block relay
> through the network" cannot be as easily measured.
>
> --
> Jeff Garzik
> exMULTI, Inc.
> [email-masked]
>